package com.caliverse.admin.domain.entity;

public enum HISTORYTYPE {

    NONE("기본"),
    LOGIN_PERMITTED("로그인 승인"),
    ADMIN_INFO("운영자 정보"),
    PASSWORD_INIT("비밀번호 초기화"),
    USER_INFO("유저 정보"),
    GROUP_AUTH("그룹 권한"),
    GROUP_DELETE("그룹 삭제"),
    NOTICE("공지사항"),
    MAIL("우편"),
    BLACKLIST("유저 제재"),
    REPORT_DELETE("신고내역 삭제"),
    USER_ITEM("유저 아이템"),
    USER_MAIL("유저 메일"),
    EVENT("이벤트"),
    CALIUM("칼리움 요청"),
    LAND_AUCTION("랜드경매"),
    BATTLE_EVENT("전투시스템 이벤트"),
    LAND("랜드"),
    MENU_BANNER("메뉴 배너"),
    ITEM("아이템"),
    USER_ADMIN_AUTH_UPDATE("유저 관리자 권한 수정"),
    NICKNAME_REGISTRY("닉네임 레지스트리 삭제"),
    NICKNAME("닉네임"),
    DATA_INIT("데이터 초기화")
    ;
    private String historyType;
    HISTORYTYPE(String type) {
        this.historyType = type;
    }
}
